View Issue Details

IDProjectCategoryView StatusLast Update
0002023PluginsFARCmdspublic2012-02-28 13:37
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002023: Не работает clip: в случае когда размер данных менее 2х байт
Descriptionclip:file
Если файл пустой, или содержит 1 байт данных, то команда не срабатывает.
Steps To ReproduceТо же самое происходит в случае перенаправления вывода
clip:<cmd /c"SET /A TEST=1+2"
Additional Information>Во временном файле 1 байт, т.е. символ "3".
>Дальше ==> OpenCmd.cpp::loadFile()
>Условие
>
>if (ReadFile(Handle, buff, size, &read, NULL) && read >= sizeof(wchar_t))
>
>ложно, т.к. "read < sizeof(wchar_t)"
>Потому и не воркает.
TagsNo tags attached.

Activities

vskirdin

2012-02-17 11:08

administrator  

farcmds.7z (23,955 bytes)

vskirdin

2012-02-17 11:08

administrator   bugnote:0008606

Проверь на приаттаченном файле (и не только это :-))

JohnDoe

2012-02-17 19:50

updater   bugnote:0008610

Last edited: 2012-02-17 19:59

View 2 revisions

Теперь всё работает, для случая когда файл содержит 1 байт.
Но если файл пустой (0 байт) ничего не происходит (ожидается обнуление буфера).
Вероятно это 0002026.

>(и не только это :-))
Env?

vskirdin

2012-02-18 10:58

administrator   bugnote:0008615

нет. плагин. с другими префиксами, читающих из потока...

JohnDoe

2012-02-20 19:33

updater   bugnote:0008622

Почему из потока?
Ведь ровно та же проблема и при простом чтении файла (см. описание тикета).

JohnDoe

2012-02-20 19:44

updater   bugnote:0008623

Проверил на других, и выяснилось, что вместе с clip: исправились также macro:post goto: whereis:

Примечание:
На view: edit: проблема не проявлялась
А к остальным префиксам (link run load unload) понятие перенаправления вроде бы не применимо.

vskirdin

2012-02-20 20:18

administrator   bugnote:0008626

> исправились также macro:post goto: whereis:
напомни, что там такое было с ними 8-)

JohnDoe

2012-02-20 22:44

updater   bugnote:0008627

Да всё то же: содержимое однобайтных файлов игнорировалось.

vskirdin

2012-02-21 09:44

administrator   bugnote:0008628

build 89

JohnDoe

2012-02-22 13:34

updater   bugnote:0008633

Если файл пустой (0 байт) ничего не происходит (ожидается обнуление буфера).

vskirdin

2012-02-24 09:45

administrator   bugnote:0008641

build 90

Подумалось.
В макросах есть возможность работать с виндовым и внутренним буферами.
Может и здесь предусмотреть выбор?
(но это уже другая запись на Мантисе :-)

JohnDoe

2012-02-24 17:42

updater   bugnote:0008642

Last edited: 2012-02-25 15:48

View 2 revisions

Мне почему-то всегда казалось что внутренний буфера локален, и после завершения макроса не существует.

vskirdin

2012-02-25 12:17

administrator   bugnote:0008643

локальный, но существует до завершения сеанса Far

JohnDoe

2012-02-25 15:52

updater   bugnote:0008644

Но при запуске нового макроса по-умолчанию всегда активен системный буфер, даже если ранее мы переключались на работу с внутренним?

vskirdin

2012-02-28 13:37

administrator   bugnote:0008648

build 90
Да, новый макрос стартует с системным клибордом

Issue History

Date Modified Username Field Change
2012-02-16 17:14 JohnDoe New Issue
2012-02-17 11:08 vskirdin File Added: farcmds.7z
2012-02-17 11:08 vskirdin Note Added: 0008606
2012-02-17 19:50 JohnDoe Note Added: 0008610
2012-02-17 19:59 JohnDoe Note Edited: 0008610 View Revisions
2012-02-18 10:58 vskirdin Note Added: 0008615
2012-02-20 19:33 JohnDoe Note Added: 0008622
2012-02-20 19:44 JohnDoe Note Added: 0008623
2012-02-20 20:18 vskirdin Note Added: 0008626
2012-02-20 22:44 JohnDoe Note Added: 0008627
2012-02-21 09:44 vskirdin Note Added: 0008628
2012-02-21 09:44 vskirdin Assigned To => vskirdin
2012-02-21 09:44 vskirdin Status new => feedback
2012-02-22 13:34 JohnDoe Note Added: 0008633
2012-02-22 13:34 JohnDoe Status feedback => assigned
2012-02-24 09:45 vskirdin Note Added: 0008641
2012-02-24 09:45 vskirdin Status assigned => feedback
2012-02-24 17:42 JohnDoe Note Added: 0008642
2012-02-24 17:42 JohnDoe Status feedback => assigned
2012-02-24 17:43 JohnDoe Status assigned => feedback
2012-02-25 12:17 vskirdin Note Added: 0008643
2012-02-25 15:48 JohnDoe Note Edited: 0008642 View Revisions
2012-02-25 15:52 JohnDoe Note Added: 0008644
2012-02-25 15:52 JohnDoe Status feedback => assigned
2012-02-28 11:23 JohnDoe Status assigned => resolved
2012-02-28 13:37 vskirdin Note Added: 0008648
2012-02-28 13:37 vskirdin Status resolved => closed
2012-02-28 13:37 vskirdin Resolution open => fixed
2012-02-28 13:37 vskirdin Fixed in Version => 3.0